#masthead {
    position: fixed;
    max-width: max-content;
    top: auto;
    bottom: 18vh;
    left: 5vw;
    margin-bottom: 0;
}

#masthead li {
    width: 100%;
    padding: 0 !important;
}

#masthead li a {
    padding: 0 !important;
}

html.full_player #masthead,
.home_menu_item,
footer#colophon {
    display: none !important;
}

#vimeo_slider {
    position: relative;
    width: 100vw;
    height: 100vh;
}

#vimeo_slider:not(:has(.pre-slide.active)):not(.mobile) {
    cursor: none;    
}

.pre-slide {
    opacity: 0;
    pointer-events: none;
}

/*.vimeo_slide:not(.pre-slide ) {
    display: none !important;
}*/

.pre-slide.animate {
    opacity: 1;
}

.pre-slide > div span {
    overflow: hidden;
    margin-left: 5vw;
}

.pre-slide img {
    width: 100%;
    transform: translateY(-105%);
    transition: transform .3s .6s ease;
}

.pre-slide.animate img {
    transform: translateY(0);
}

.full_player .pre-slide.animate img {
    transform: translateY(-105%);
}

.vimeo_slide,
.short_video,
.full_video,
#player_controls {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    opacity: 0;  
}

.vimeo_slide.active:not(.pre-slide) {
    opacity: 1;
}

.pre-slide.active ~ .vimeo_slide,
.vimeo_slide * {
    pointer-events: none;
}

.short_video {
    background: #000;
    transition: opacity .6s ease-out;
}

.short_video_active .short_video {
    opacity: 1;
}

.full_video {
    background: #000;
    pointer-events: none;
    transition: opacity .8s ease-out;
}

.full_video_active .full_video {
    opacity: 1;
    pointer-events: all;
}

#vimeo_slider iframe {
    position: fixed;
    left: 50%;
    top: 0;
    margin-left: -50vw;
    transform: translate(calc(((var(--player-video-width) - 100vw)* -1) / 2), 0);
    width: var(--player-video-width);
    min-width: var(--player-video-width);
    min-height: var(--player-video-height);
    height: var(--player-video-height);
    pointer-events: none;
}

.arrow_up {
    position: fixed;
    right: 5vw;
    bottom: 15vh;
    width: 5vw;
    height: 5vw;
    background-image: url(/wp-content/uploads/2024/11/chevron-up.svg);
    background-size: contain;
}

.mobile .arrow_up,
.full_video_active ~ .arrow_up {
    display: none;
}

/*video caption*/
.video-caption {
    position: absolute;
    top: 14vh;
    left: 5vw;
    color: #000;
    font-size: 1.2rem;
    font-weight: 500;
}

.full_video_active .video-caption {
    display: none;
}

.video-caption h2,
.video-caption p {
    font: inherit !important;
    line-height: 1 !important;
    color: inherit;
    overflow: hidden;
}

.video-caption span {
    display: block;
}

.video-caption span.animate {
    transform: translateY(-105%);
    transition: transform .4s .3s ease-out;    
}

.vimeo_slide.active .video-caption span.animate {
    transform: translateY(0%);
}
/*video caption*/

/*slider nav dots*/
#slider_nav_dots {
    position: absolute;
    right: 2vw;
    left: auto;
    top: 5vw;
    bottom: 5vw;
    display: inline-flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    align-items: center;
    align-content: center;
    max-width: fit-content;
    pointer-events: none;
}

#vimeo_slider .pre-slide.active ~ #slider_nav_dots,
.vimeo_slide.full ~ #slider_nav_dots,
.mobile #slider_nav_dots {
    display: none;
}

#slider_nav_dots > div {
    cursor: pointer;
    pointer-events: all;
}

.video_nav_dot {
    text-align: right;
    position: relative;
    width: 100%;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    color: rgba(255 255 255 / 50%);
    overflow: hidden;
    margin: 1vw 0;
}

.video_nav_dot.active {
    color: #fff;
}

.video_nav_dot:after {
    content: '';
    width: 1px;
    height: 1px;
    display: inline-block;
    background: currentColor;
    margin-left: 10px;
    border-radius: 100%;
}

.video_nav_dot span {
    display: block;
    transform: translateX(135%);
    transition: transform .2s ease-out;
}

#slider_nav_dots > div:hover span {
    transform: translateX(0);
}
/*slider nav dots*/

/*custom cursor*/
.Cursor_custom__TmiZp {
    width: 50px;
    height: 50px;  
    position: fixed;
    pointer-events: none;
    opacity: 0;
    transition: opacity .3s cubic-bezier(.645,.045,.355,1);
}

.Cursor_custom__TmiZp.visible {
    opacity: 1
}

#vimeo_slider.mobile .Cursor_custom__TmiZp,
#slider_nav_dots:hover ~ .Cursor_custom__TmiZp,
#player_controls:has(#controls_top:hover) ~ .Cursor_custom__TmiZp ,
#player_controls:has(#controls_bottom:hover) ~ .Cursor_custom__TmiZp,
#masthead:has(.menu-item:hover) ~ #content .Cursor_custom__TmiZp,
.arrow_up:hover ~ .Cursor_custom__TmiZp {
    opacity: 0 !important;
}

.mobile .Cursor_custom__TmiZp,
.full_video_active ~ .Cursor_custom__TmiZp.playing svg.play {
    display: none;
}

.Cursor_customRingContainer__K6Fp6 {
     position: absolute; 
    border-radius: 50%;
    pointer-events: none;
    width: 50px;
    height: 50px;
    display: flex;
    justify-content: center;
    align-items: center
}

.Cursor_ringSvg__0v0F6 {
    position: relative;
    transform-origin: center;
    width: 100%;
    height: 100%
}

.Cursor_customRing__x5TRA {
    display: block;
    stroke-opacity: .2
}

.Cursor_customRing__x5TRA,
.Cursor_progressRing__TK7py {
    stroke-dasharray: 115px 115px;
    transition: stroke .3s cubic-bezier(.645, .045, .355, 1);
    animation: none;
}

.full_video_active ~ .playing .Cursor_customRing__x5TRA {
    animation: cursor_circle .8s ease-out forwards;
}

.full_video_active ~ .paused .Cursor_customRing__x5TRA {
    animation: cursor_circle1 .8s ease-out forwards;
}

.loading .Cursor_customRing__x5TRA {
    animation: cursor_circle1 2s ease-out forwards infinite;
}

.Cursor_customPicto__vaS1U {
    position: absolute;
    border-radius: 50%;
    pointer-events: none;
    width: 50px;
    height: 50px;
    overflow: hidden;
}

.Cursor_customPicto__vaS1U svg path,
.Cursor_customPicto__vaS1U svg rect {
    fill: #161616 !important;
    transition: fill .3s cubic-bezier(.645, .045, .355, 1);
}

.darkMode .Cursor_customPicto__vaS1U svg path,
.darkMode .Cursor_customPicto__vaS1U svg rect,
.fillWhite .Cursor_customPicto__vaS1U svg path,
.fillWhite .Cursor_customPicto__vaS1U svg rect {
    fill: #fff !important
}

.Cursor_customPicto__vaS1U svg {
    position: absolute;
    left: 25px;
    top: 25px;
    opacity: 0;
    transform: translate(-50%, -50%);
}

.animate.paused svg.play {
    animation: svg_intro .6s ease-out forwards;
}

.animate.playing svg.play {
    animation: svg_outro .6s ease-out forwards;
}

.animate.paused svg.pause {
    animation: svg_outro .6s ease-out forwards;
}

.animate.playing svg.pause {
    animation: svg_intro .6s ease-out forwards;
}

.short_video_active ~ .Cursor_custom__TmiZp svg.pause {
    display: none;
}

@keyframes cursor_circle {
    0% {
        stroke-dashoffset: 0
    }
    75% {
        stroke-dashoffset: 115px
        
    }
    100% {
        stroke-dashoffset: 230px;
        
    }
}

@keyframes cursor_circle1 {
    0% {
        stroke-dashoffset: 0
    }
    75% {
        stroke-dashoffset: 115px
        
    }
    100% {
        stroke-dashoffset: 230px;
        
    }
}

@keyframes svg_intro {
    0% {
        opacity: 0;
        transform: translate(-50%, -35px);
    }
    100% {
        opacity: 1;
        transform: translate(-50%, -50%);
    }
}

@keyframes svg_outro {
    0% {
        opacity: 1;
        transform: translate(-50%, -50%);
    }
    100% {
        opacity: 0;
        transform: translate(-50%, 5px);
    }
}
/*custom cursor*/

/*player controls*/
#player_controls {
    opacity: 0;
    pointer-events: none;
    color: #fff;
}

.full_video_active ~ #player_controls {
    opacity: 1;
    pointer-events: all;
    max-height: var(--viewport-height);
}

#controls_top,
#controls_bottom {
    cursor: default;
}

#player_controls a {
    color: inherit;
}

#timebar {
    position: relative;
    cursor: pointer;
}

#timebar > span {
    position: absolute;
    left: 0;
    top: 50%;
    height: 1px;
    background: currentColor;
}

#timebar_full {
    opacity: .5;
    width: 100%;
}

#progress {
    width: 0%;
}
/*player controls*/

/*layers*/
.vimeo_slide .short_video {
    z-index: 10;
}

#slider_nav_dots,
.arrow_up {
    z-index: 20;    
}

.vimeo_slide .full_video {
    z-index: 30;
    position: relative;
}

.video-caption,
#vimeo_slider .pre-slide {
    z-index: 40;
}

#player_controls {
    z-index: 45;  
}

.Cursor_custom__TmiZp {
    z-index: 50;    
}
/*layers*/

@media screen and (max-width: 991px) {
    .pre-slide {
        align-items: center !important;
    }
}

@media screen and (min-width: 992px) {

    .video-caption {
        left: 41.5vw;
    }

    .pre-slide img span {
        margin-left: 0;
    }

    .pre-slide > div span.logo-wrapper {
        transform: translateY(39.3vh);
    }

    #masthead {
        left: 20.5vw;
    }
}